import os
import sys

root = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))
sys.path.append(root)

# ----------------------------------------------------------------------------

# PLEASE DO NOT EDIT THIS FILE, IT IS GENERATED AND WILL BE OVERWRITTEN:
# https://github.com/ccxt/ccxt/blob/master/CONTRIBUTING.md#how-to-contribute-code

# ----------------------------------------------------------------------------

import numbers  # noqa: E402
try:
    basestring  # basestring was removed in Python 3
except NameError:
    basestring = str

# ----------------------------------------------------------------------------


#  ---------------------------------------------------------------------------

def test_ohlcv(exchange, ohlcv, symbol, now):
    assert ohlcv
    assert isinstance(ohlcv, list)
    length = len(ohlcv)
    assert length >= 6
    for i in range(0, len(ohlcv)):
        assert(ohlcv[i] is None) or (isinstance(ohlcv[i], numbers.Real))

    assert ohlcv[0] > 1230940800000  # 03 Jan 2009 - first block
    assert ohlcv[0] < 2147483648000  # 19 Jan 2038 - int32 overflows

    assert(ohlcv[1] is None) or (ohlcv[2] is None) or (ohlcv[1] <= ohlcv[2]), 'open > high, ' + ohlcv[1] + ' > ' + ohlcv[2]  # open <= high
    assert(ohlcv[3] is None) or (ohlcv[2] is None) or (ohlcv[3] <= ohlcv[2]), 'low > high, ' + ohlcv[3] + ' > ' + ohlcv[2]  # low <= high
    assert(ohlcv[3] is None) or (ohlcv[4] is None) or (ohlcv[3] <= ohlcv[4]), 'low > close, ' + ohlcv[3] + ' > ' + ohlcv[4]  # low <= close
